# Class Thelia\Core\Event\ActionEvent | thelia

# Class ActionEvent

Class thrown on Thelia.action event

call setAction if action match yours

  Symfony\Component\EventDispatcher\Event
  Thelia\Core\Event\ActionEvent

Namespace: Thelia\Core\Event
Located at core/lib/Thelia/Core/Event/ActionEvent.php

Methods summary

`public`

# `__construct( Symfony\Component\HttpFoundation\Request $request, string $action )`

#### Parameters

$request
  `Symfony\Component\HttpFoundation\Request`
  $request
$action
  `string`
  $action

`public string`

# `getAction( )`

#### Returns

`string`

`public Symfony\Component\HttpFoundation\Request`

# `getRequest( )`

#### Returns

`Symfony\Component\HttpFoundation\Request`

`public`

# `setController( string $controller )`

#### Parameters

$controller
  `string`
  $controller

`public` | # `getController( )`
`public` | # `hasController( )`

Properties summary
`protected Symfony\Component\HttpFoundation\Request` | $request | `` | #
`protected string` | $action | `` | #
`protected string` | $controller | `` | #